---
title: <cursor>
slug: Web/SVG/Element/cursor
tags:
  - Deprecated
  - Element
  - NeedsExample
  - Reference
  - SVG
---
<div>{{SVGRef}}{{Deprecated_Header}}
<div class="notecard note">
<p><strong>Note:</strong> The CSS {{cssxref("cursor")}} property should be used instead of this element.</p>
</div>
</div>

<p>The <strong><code>&lt;cursor&gt;</code></strong> <a href="/en-US/docs/Web/SVG">SVG</a> element can be used to define a platform-independent custom cursor. A recommended approach for defining a platform-independent custom cursor is to create a PNG image and define a <code>cursor</code> element that references the PNG image and identifies the exact position within the image which is the pointer position (i.e., the hot spot).</p>

<p>The PNG format is recommended because it supports the ability to define a transparency mask via an alpha channel. If a different image format is used, this format should support the definition of a transparency mask (two options: provide an explicit alpha channel or use a particular pixel color to indicate transparency). If the transparency mask can be determined, the mask defines the shape of the cursor; otherwise, the cursor is an opaque rectangle. Typically, the other pixel information (e.g., the R, G and B channels) defines the colors for those parts of the cursor which are not masked out. Note that cursors usually contain at least two colors so that the cursor can be visible over most backgrounds.</p>

<h2 id="Usage_context">Usage context</h2>

<p>{{SVGInfo}}</p>

<h2 id="Attributes">Attributes</h2>

<h3 id="Global_attributes">Global attributes</h3>

<ul>
 <li><a href="/en-US/docs/Web/SVG/Attribute#Conditional_processing_attributes">Conditional processing attributes</a></li>
 <li><a href="/en-US/docs/Web/SVG/Attribute#Core_attributes">Core attributes</a></li>
 <li><a href="/en-US/docs/Web/SVG/Attribute#Xlink_attributes">Xlink attributes</a></li>
 <li>{{SVGAttr("externalResourcesRequired")}}</li>
</ul>

<h3 id="Specific_attributes">Specific attributes</h3>

<ul>
 <li>{{SVGAttr("x")}}</li>
 <li>{{SVGAttr("y")}}</li>
 <li>{{SVGAttr("xlink:href")}}</li>
</ul>

<h2 id="DOM_Interface">DOM Interface</h2>

<p>This element implements the {{DOMxRef("SVGCursorElement")}} interface.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("SVG2", "interact.html#CursorElement", "&lt;cursor&gt;")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>Replaced {{SVGAttr("xlink:href")}} by {{SVGAttr("href")}} attribute.</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "interact.html#CursorElement", "&lt;cursor&gt;")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.elements.cursor")}}</p>
